Index: rubycfg_asp/trunk/asp_dcre/tinet/netinet/tcp_usrreq.c
===================================================================
--- rubycfg_asp/trunk/asp_dcre/tinet/netinet/tcp_usrreq.c	(revision 314)
+++ rubycfg_asp/trunk/asp_dcre/tinet/netinet/tcp_usrreq.c	(revision 315)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -130,7 +118,6 @@
 
 /*
- *  TINET ãã©ã¤ãã©ãªåããªãå ´åã¯ãå
-¨ã¦ã®æ©è½ã
- *  ãªãã¸ã§ã¯ããã¡ã¤ã«ã«åºåããããããã¯ã­ãæå¹ã«ããã
+ *  TINET をライブラリ化しない場合は、全ての機能を
+ *  オブジェクトファイルに出力するため、マクロを有効にする。
  */
 
@@ -160,5 +147,5 @@
 
 /*
- *  IPv6 ã¨ IPv4 ã§å¼æ°ãç°ãªãé¢æ°ã®ã³ã³ãã¤ã«
+ *  IPv6 と IPv4 で引数が異なる関数のコンパイル
  */
 
@@ -228,5 +215,5 @@
 
 /*
- *  tcp_user_closed -- ã¦ã¼ã¶ããã®ã³ãã¯ã·ã§ã³ã®éæ¾
+ *  tcp_user_closed -- ユーザからのコネクションの開放
  */
 
@@ -236,21 +223,20 @@
 	switch (cep->fsm_state) {
 
-	case TCP_FSM_CLOSED:		/* ã¯ã­ã¼ãº	*/
-	case TCP_FSM_LISTEN:		/* ååãªã¼ãã³	*/
+	case TCP_FSM_CLOSED:		/* クローズ	*/
+	case TCP_FSM_LISTEN:		/* 受動オープン	*/
 		cep->fsm_state = TCP_FSM_CLOSED;
 		cep = tcp_close(cep);
 		break;
 
-	case TCP_FSM_SYN_SENT:		/* è½åãªã¼ãã³ãSYN éä¿¡æ¸ã¿	*/
-	case TCP_FSM_SYN_RECVD:		/* SYN ãåä¿¡ããSYN éä¿¡æ¸ã¿	*/
+	case TCP_FSM_SYN_SENT:		/* 能動オープン、SYN 送信済み	*/
+	case TCP_FSM_SYN_RECVD:		/* SYN を受信し、SYN 送信済み	*/
 		cep->flags |= TCP_CEP_FLG_NEED_FIN;
 		break;
 
-	case TCP_FSM_ESTABLISHED:	/* ã³ãã¯ã·ã§ã³éè¨­å®äº	*/
+	case TCP_FSM_ESTABLISHED:	/* コネクション開設完了	*/
 		cep->fsm_state = TCP_FSM_FIN_WAIT_1;
 		break;
 
-	case TCP_FSM_CLOSE_WAIT:	/* ç¸æãã FIN åä¿¡ãAPP ã®çµäºå¾
-ã¡ */
+	case TCP_FSM_CLOSE_WAIT:	/* 相手から FIN 受信、APP の終了待ち */
 		cep->fsm_state = TCP_FSM_LAST_ACK;
 		break;
@@ -263,5 +249,5 @@
 
 /*
- *  tcp_cls_cep -- éä¿¡ç«¯ç¹ã®ã¯ã­ã¼ãºãæ¨æºæ©è½ã
+ *  tcp_cls_cep -- 通信端点のクローズ【標準機能】
  */
 
@@ -275,5 +261,5 @@
 #ifndef TCP_CFG_NON_BLOCKING
 
-	/* tmout ã TMO_NBLK ãªãã¨ã©ã¼ */
+	/* tmout が TMO_NBLK ならエラー */
 	if (tmout == TMO_NBLK)
 		return E_PAR;
@@ -282,6 +268,6 @@
 
 	/*
-	 *  CEP ãã­ãã¯ããAPI æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  CEP をロックし、API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if ((error = tcp_lock_cep(cepid, &cep, TFN_TCP_CLS_CEP)) != E_OK)
@@ -290,10 +276,10 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã*/
-	if (tmout == TMO_NBLK) {				/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
+	/* タイムアウトをチェックする。*/
+	if (tmout == TMO_NBLK) {				/* ノンブロッキングコール */
 
 		if (!IS_PTR_DEFINED(cep->callback))
 			error = E_OBJ;
-		else if (cep->fsm_state == TCP_FSM_CLOSED) {	/* ãã§ã«ã¯ã­ã¼ãºããã¦ããã¨ã */
+		else if (cep->fsm_state == TCP_FSM_CLOSED) {	/* すでにクローズされているとき */
 
 #ifdef TCP_CFG_NON_BLOCKING_COMPAT14
@@ -313,38 +299,37 @@
 			}
 		else {
-			/* NBLK ã®API æ©è½ã³ã¼ããè¨­å®ããã*/
+			/* NBLK のAPI 機能コードを設定する。*/
 			cep->rcv_nblk_tfn = TFN_TCP_CLS_CEP;
 
-			if ((cep = tcp_user_closed(cep)) != NULL) {	/* ã³ãã¯ã·ã§ã³ãåæ­ããã*/
-				/* åæ­ã»ã°ã¡ã³ãåºåããã¹ãããã*/
+			if ((cep = tcp_user_closed(cep)) != NULL) {	/* コネクションを切断する。*/
+				/* 切断セグメント出力をポストする。*/
 				cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 				sig_sem(SEM_TCP_POST_OUTPUT);
 				}
 
-			/*  cep ã NULL ã§æ»ã£ã¦ããå ´åã¯ã
-			 *  æ¢ã«ã³ãã¯ã·ã§ã³ãåæ­ããã¦ãããã¨ãæå³ãã¦ããã
-			 *  ã¾ãããã®å ´åã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºããã¦ããã
+			/*  cep が NULL で戻ってきた場合は、
+			 *  既にコネクションが切断されていることを意味している。
+			 *  また、この場合コールバック関数が呼び出されている。
 			 */
 			return E_WBLK;
 			}
 		}
-	else {							/* éãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
-
-		if ((cep = tcp_user_closed(cep)) == NULL) {	/* ã³ãã¯ã·ã§ã³ãåæ­ããã*/
-
-			/*  cep ã NULL ã§æ»ã£ã¦ããå ´åã¯ã
-			 *  æ¢ã«ã³ãã¯ã·ã§ã³ãåæ­ããã¦ãããã¨ãæå³ãã¦ããã
+	else {							/* 非ノンブロッキングコール */
+
+#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
+
+		if ((cep = tcp_user_closed(cep)) == NULL) {	/* コネクションを切断する。*/
+
+			/*  cep が NULL で戻ってきた場合は、
+			 *  既にコネクションが切断されていることを意味している。
 			 */
 			return error;
 			}
 		else {
-			/* åæ­ã»ã°ã¡ã³ãåºåããã¹ãããã*/
+			/* 切断セグメント出力をポストする。*/
 			cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 			sig_sem(SEM_TCP_POST_OUTPUT);
 
-			/* ã¤ãã³ããã©ã°ã CLOSED ã«ãªãã¾ã§å¾
-ã¤ã*/
+			/* イベントフラグが CLOSED になるまで待つ。*/
 			error = twai_flg(cep->est_flgid, TCP_CEP_EVT_CLOSED, TWF_ORW, &flag, tmout);
 			if (error == E_OK && cep->error != E_OK)
@@ -353,15 +338,15 @@
 			if (error != E_OK) {
 				if (error == E_RLWAI) {
-					/* tcp_cls_cep ãã­ã£ã³ã»ã«ãããã¨ãã¯ãRST ãéä¿¡ããã*/
+					/* tcp_cls_cep がキャンセルされたときは、RST を送信する。*/
 					tcp_respond(NULL, cep, cep->rcv_nxt, cep->snd_una - 1, 
 					            cep->rbufsz - cep->rwbuf_count, TCP_FLG_RST);
 					}
 
-				/* ã¿ã¤ãã¼ãåæ­¢ããã*/
+				/* タイマーを停止する。*/
 				tcp_cancel_timers(cep);
 
 				/* 
-				 *  éä¿¡ç«¯ç¹ãã­ãã¯ãã
-				 *  åä¿¡åæ§æã­ã¥ã¼ã®ãããã¯ã¼ã¯ãããã¡ãè§£æ¾ããã
+				 *  通信端点をロックし、
+				 *  受信再構成キューのネットワークバッファを解放する。
 				 */
 				syscall(wai_sem(cep->semid_lock));
@@ -369,18 +354,17 @@
 				syscall(sig_sem(cep->semid_lock));
 
-				/* ç¶æ
-ãæªä½¿ç¨ã«ããã*/
+				/* 状態を未使用にする。*/
 				cep->fsm_state = TCP_FSM_CLOSED;
 
 				/*
-				 * ä»¥ä¸ã«é¢ä¿ããªããã©ã°ãã¯ãªã¢ã¼ããã
-				 * ã»éåä¿¡ã¦ã£ã³ããããã¡ã®çã³ãã¼æ©è½
-				 * ã»åçãªéä¿¡ç«¯ç¹ã®çæã»åé¤æ©è½
+				 * 以下に関係しないフラグをクリアーする。
+				 * ・送受信ウィンドバッファの省コピー機能
+				 * ・動的な通信端点の生成・削除機能
 				 */
 				cep->flags &= TCP_CEP_FLG_NOT_CLEAR;
 
 				/* 
-				 *  éä¿¡ç«¯ç¹ãã­ãã¯ãã
-				 *  éåä¿¡ã¦ã£ã³ããããã¡ã­ã¥ã¼ã®ãããã¯ã¼ã¯ãããã¡ãè§£æ¾ããã
+				 *  通信端点をロックし、
+				 *  送受信ウィンドバッファキューのネットワークバッファを解放する。
 				 */
 				cep->rwbuf_count = 0;
@@ -410,5 +394,5 @@
 
 /*
- *  tcp_sht_cep  -- ãã¼ã¿éä¿¡ã®çµäºãæ¨æºæ©è½ã
+ *  tcp_sht_cep  -- データ送信の終了【標準機能】
  */
 
@@ -420,12 +404,11 @@
 
 	/*
-	 *  CEP ãã­ãã¯ããAPI æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  CEP をロックし、API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if ((error = tcp_lock_cep(cepid, &cep, TFN_TCP_SHT_CEP)) != E_OK)
 		return error;
 
-	/* TCP éä¿¡ç«¯ç¹ã®ã³ãã¯ã·ã§ã³ãç¢ºç«ç¶æ
-ã§ãªããã°ã¨ã©ã¼ */
+	/* TCP 通信端点のコネクションが確立状態でなければエラー */
 	if (!TCP_FSM_HAVE_ESTABLISHED(cep->fsm_state)) {
 		if ((error = cep->error) == E_OK)
@@ -433,7 +416,7 @@
 		}
 
-	else if ((cep = tcp_user_closed(cep)) != NULL) {		/* ã³ãã¯ã·ã§ã³ãåæ­ããã*/
-
-		/* åæ­ã»ã°ã¡ã³ãåºåããã¹ãããã*/
+	else if ((cep = tcp_user_closed(cep)) != NULL) {		/* コネクションを切断する。*/
+
+		/* 切断セグメント出力をポストする。*/
 		cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 		sig_sem(SEM_TCP_POST_OUTPUT);
@@ -450,5 +433,5 @@
 
 /*
- *  tcp_snd_dat -- ãã±ããã®éä¿¡ãæ¨æºæ©è½ã
+ *  tcp_snd_dat -- パケットの送信【標準機能】
  */
 
@@ -461,5 +444,5 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* data ã NULL ããlen < 0 ãªãã¨ã©ã¼ */
+	/* data が NULL か、len < 0 ならエラー */
 	if (data == NULL || len < 0)
 		return E_PAR;
@@ -467,5 +450,5 @@
 #else	/* of #ifdef TCP_CFG_NON_BLOCKING */
 
-	/* data ã NULLãlen < 0 ããtmout ã TMO_NBLK ãªãã¨ã©ã¼ */
+	/* data が NULL、len < 0 か、tmout が TMO_NBLK ならエラー */
 	if (data == NULL || len < 0 || tmout == TMO_NBLK)
 		return E_PAR;
@@ -474,12 +457,11 @@
 
 	/*
-	 *  CEP ãã­ãã¯ããAPI æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  CEP をロックし、API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if ((error = tcp_lock_cep(cepid, &cep, TFN_TCP_SND_DAT)) != E_OK)
 		return error;
 
-	/* éä¿¡ã§ããããéä¿¡ç«¯ç¹ã®ç¶æ
-ãè¦ãã*/
+	/* 送信できるか、通信端点の状態を見る。*/
 	if ((error = tcp_can_send_more(cep, TFN_TCP_SND_DAT, tmout)) != E_OK)
 		goto err_ret;
@@ -487,18 +469,18 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã*/
-	if (tmout == TMO_NBLK) {		/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-		/* éä¿¡ã¦ã£ã³ããããã¡ã«ç©ºããããã°ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+	/* タイムアウトをチェックする。*/
+	if (tmout == TMO_NBLK) {		/* ノンブロッキングコール */
+
+		/* 送信ウィンドバッファに空きがあればコールバック関数を呼び出す。*/
 		if (!TCP_IS_SWBUF_FULL(cep)) {
 
-		 	/* éä¿¡ã¦ã£ã³ããããã¡ã«ãã¼ã¿ãæ¸ãè¾¼ãã*/
+		 	/* 送信ウィンドバッファにデータを書き込む。*/
 			error = TCP_WRITE_SWBUF(cep, data, (uint_t)len);
 
-			/* åºåããã¹ãããã*/
+			/* 出力をポストする。*/
 			cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 			sig_sem(SEM_TCP_POST_OUTPUT);
 
-			/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+			/* コールバック関数を呼び出す。*/
 #ifdef TCP_CFG_NON_BLOCKING_COMPAT14
 			(*cep->callback)(GET_TCP_CEPID(cep), TFN_TCP_SND_DAT, (void*)error);
@@ -518,21 +500,20 @@
 			}
 		}
-	else {		/* éãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
-
-	 	/* éä¿¡ã¦ã£ã³ããããã¡ãç©ºãã®ãå¾
-ã¤ã*/
+	else {		/* 非ノンブロッキングコール */
+
+#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
+
+	 	/* 送信ウィンドバッファが空くのを待つ。*/
 		if ((error = TCP_WAIT_SWBUF(cep, tmout)) != E_OK)
 			goto err_ret;
 
-	 	/* éä¿¡ã¦ã£ã³ããããã¡ã«ãã¼ã¿ãæ¸ãè¾¼ãã*/
+	 	/* 送信ウィンドバッファにデータを書き込む。*/
 		if ((error = TCP_WRITE_SWBUF(cep, data, (uint_t)len)) > 0) {
 
-			/* ãã¼ã¿ãéä¿¡ãããéä¿¡ã¦ã£ã³ããããã¡ããã«ã®ã¨ãã¯å¼·å¶çã«éä¿¡ããã*/
+			/* データを送信する。送信ウィンドバッファがフルのときは強制的に送信する。*/
 			if (TCP_IS_SWBUF_FULL(cep))
 				cep->flags |= TCP_CEP_FLG_FORCE | TCP_CEP_FLG_FORCE_CLEAR;
 
-			/* åºåããã¹ãããã*/
+			/* 出力をポストする。*/
 			cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 			sig_sem(SEM_TCP_POST_OUTPUT);
@@ -556,5 +537,5 @@
 
 /*
- *  tcp_get_buf -- éä¿¡ç¨ãããã¡ã®ç²å¾ãæ¨æºæ©è½ã
+ *  tcp_get_buf -- 送信用バッファの獲得【標準機能】
  */
 
@@ -567,5 +548,5 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* p_buf ã NULL ãªãã¨ã©ã¼ */
+	/* p_buf が NULL ならエラー */
 	if (p_buf == NULL)
 		return E_PAR;
@@ -573,5 +554,5 @@
 #else	/* of #ifdef TCP_CFG_NON_BLOCKING */
 
-	/* p_buf ã NULL ããtmout ã TMO_NBLK ãªãã¨ã©ã¼ */
+	/* p_buf が NULL か、tmout が TMO_NBLK ならエラー */
 	if (p_buf == NULL || tmout == TMO_NBLK)
 		return E_PAR;
@@ -580,12 +561,11 @@
 
 	/*
-	 *  CEP ãã­ãã¯ããAPI æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  CEP をロックし、API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if ((error = tcp_lock_cep(cepid, &cep, TFN_TCP_GET_BUF)) != E_OK)
 		return error;
 
-	/* éä¿¡ã§ããããéä¿¡ç«¯ç¹ã®ç¶æ
-ãè¦ãã*/
+	/* 送信できるか、通信端点の状態を見る。*/
 	if ((error = tcp_can_send_more(cep, TFN_TCP_GET_BUF, tmout)) != E_OK)
 		goto err_ret;
@@ -593,13 +573,13 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã*/
-	if (tmout == TMO_NBLK) {		/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
+	/* タイムアウトをチェックする。*/
+	if (tmout == TMO_NBLK) {		/* ノンブロッキングコール */
 
 		if (!TCP_IS_SWBUF_FULL(cep)) {
 
-			/* éä¿¡ã¦ã£ã³ããããã¡ã«ç©ºããããã°ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+			/* 送信ウィンドバッファに空きがあればコールバック関数を呼び出す。*/
 			error = TCP_GET_SWBUF_ADDR(cep, p_buf);
 
-			/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+			/* コールバック関数を呼び出す。*/
 #ifdef TCP_CFG_NON_BLOCKING_COMPAT14
 			(*cep->callback)(GET_TCP_CEPID(cep), TFN_TCP_GET_BUF, (void*)error);
@@ -618,14 +598,13 @@
 		}
 
-	else {		/* éãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
-
-	 	/* éä¿¡ã¦ã£ã³ããããã¡ãç©ºãã®ãå¾
-ã¤ã*/
+	else {		/* 非ノンブロッキングコール */
+
+#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
+
+	 	/* 送信ウィンドバッファが空くのを待つ。*/
 		if ((error = TCP_WAIT_SWBUF(cep, tmout)) != E_OK)
 			goto err_ret;
 
-	 	/* éä¿¡ã¦ã£ã³ããããã¡ã®ç©ºã¢ãã¬ã¹ãç²å¾ããã*/
+	 	/* 送信ウィンドバッファの空アドレスを獲得する。*/
 		error = TCP_GET_SWBUF_ADDR(cep, p_buf);
 
@@ -647,6 +626,5 @@
 
 /*
- *  tcp_snd_buf -- ãããã¡å
-ã®ãã¼ã¿ã®éä¿¡ãæ¨æºæ©è½ã
+ *  tcp_snd_buf -- バッファ内のデータの送信【標準機能】
  */
 
@@ -657,20 +635,20 @@
 	ER		error;
 
-	/* éä¿¡ããé·ã len ããã§ãã¯ããã*/
+	/* 送信する長さ len をチェックする。*/
 	if (len < 0)
 		return E_PAR;
 
-	/* éä¿¡ããé·ãlen ã 0 ã§ããã°ãä½ãããªãã§æ»ãã*/
+	/* 送信する長さlen が 0 であれば、何もしないで戻る。*/
 	if (len == 0)
 		return E_OK;
 
 	/*
-	 *  CEP ãã­ãã¯ããAPI æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  CEP をロックし、API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if ((error = tcp_lock_cep(cepid, &cep, TFN_TCP_SND_BUF)) != E_OK)
 		return error;
 
-	/* éä¿¡ããé·ã len ããã§ãã¯ããã*/
+	/* 送信する長さ len をチェックする。*/
 	if (len > cep->get_buf_len) {
 		error = E_OBJ;
@@ -678,6 +656,5 @@
 		}
 
-	/* éä¿¡ã§ããããCEP ã® FSM ç¶æ
-ãè¦ãã*/
+	/* 送信できるか、CEP の FSM 状態を見る。*/
 	if (!TCP_FSM_CAN_SEND_MORE(cep->fsm_state)) {
 		if ((error = cep->error) == E_OK)
@@ -686,8 +663,8 @@
 		}
 
-	/* éä¿¡ã¦ã£ã³ããããã¡ã®ãã¼ã¿ãéä¿¡å¯è½ã«ããã*/
+	/* 送信ウィンドバッファのデータを送信可能にする。*/
 	TCP_SEND_SWBUF(cep, (uint_t)len);
 
-	/* åºåããã¹ãããã*/
+	/* 出力をポストする。*/
 	cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 	sig_sem(SEM_TCP_POST_OUTPUT);
@@ -704,5 +681,5 @@
 
 /*
- *  tcp_rcv_dat -- ãã±ããã®åä¿¡ãæ¨æºæ©è½ã
+ *  tcp_rcv_dat -- パケットの受信【標準機能】
  */
 
@@ -715,5 +692,5 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* data ã NULL ããlen < 0 ãªãã¨ã©ã¼ */
+	/* data が NULL か、len < 0 ならエラー */
 	if (data == NULL || len < 0)
 		return E_PAR;
@@ -721,5 +698,5 @@
 #else	/* of #ifdef TCP_CFG_NON_BLOCKING */
 
-	/* data ã NULLãlen < 0 ããtmout ã TMO_NBLK ãªãã¨ã©ã¼ */
+	/* data が NULL、len < 0 か、tmout が TMO_NBLK ならエラー */
 	if (data == NULL || len < 0 || tmout == TMO_NBLK)
 		return E_PAR;
@@ -728,12 +705,11 @@
 
 	/*
-	 *  CEP ãã­ãã¯ããAPI æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  CEP をロックし、API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if ((error = tcp_lock_cep(cepid, &cep, TFN_TCP_RCV_DAT)) != E_OK)
 		return error;
 
-	/* åä¿¡ã§ããããéä¿¡ç«¯ç¹ã®ç¶æ
-ãè¦ãã*/
+	/* 受信できるか、通信端点の状態を見る。*/
 	if (tcp_can_recv_more(&error, cep, TFN_TCP_RCV_DAT, tmout) != E_OK)
 		goto err_ret;
@@ -741,14 +717,14 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã*/
-	if (tmout == TMO_NBLK) {		/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-		/* åä¿¡ã¦ã£ã³ããããã¡ã«ãã¼ã¿ãããã°ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+	/* タイムアウトをチェックする。*/
+	if (tmout == TMO_NBLK) {		/* ノンブロッキングコール */
+
+		/* 受信ウィンドバッファにデータがあればコールバック関数を呼び出す。*/
 		if (cep->rwbuf_count > 0) {
 
-			/* åä¿¡ã¦ã£ã³ããããã¡ãããã¼ã¿ãåãåºãã*/
+			/* 受信ウィンドバッファからデータを取り出す。*/
 			len = TCP_READ_RWBUF(cep, data, (uint_t)len);
 
-			/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+			/* コールバック関数を呼び出す。*/
 #ifdef TCP_CFG_NON_BLOCKING_COMPAT14
 			(*cep->callback)(GET_TCP_CEPID(cep), TFN_TCP_RCV_DAT, (void*)(uint32_t)len);
@@ -766,18 +742,16 @@
 			}
 		}
-	else {		/* éãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
-
-		/* åä¿¡ã¦ã£ã³ããããã¡ã«ãã¼ã¿ããªããã°ãå
-¥åãããã¾ã§å¾
-ã¤ã*/
+	else {		/* 非ノンブロッキングコール */
+
+#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
+
+		/* 受信ウィンドバッファにデータがなければ、入力があるまで待つ。*/
 		if ((error = tcp_wait_rwbuf(cep, tmout)) != E_OK)
 			goto err_ret;
 
-		/* åä¿¡ã¦ã£ã³ããããã¡ãããã¼ã¿ãåãåºãã*/
+		/* 受信ウィンドバッファからデータを取り出す。*/
 		error = TCP_READ_RWBUF(cep, data, (uint_t)len);
 
-		/* ç¸æã«ã¦ã£ã³ãã¦ãµã¤ãºãå¤ãã£ããã¨ãç¥ãããããåºåããã¹ãããã*/
+		/* 相手にウィンドウサイズが変わったことを知らせるため出力をポストする。*/
 		cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 		sig_sem(SEM_TCP_POST_OUTPUT);
@@ -800,6 +774,5 @@
 
 /*
- *  tcp_rcv_buf -- åä¿¡ãããã¼ã¿ã®å
-¥ã£ããããã¡ã®ç²å¾ãæ¨æºæ©è½ã
+ *  tcp_rcv_buf -- 受信したデータの入ったバッファの獲得【標準機能】
  */
 
@@ -812,5 +785,5 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* p_buf ã NULL ãªãã¨ã©ã¼ */
+	/* p_buf が NULL ならエラー */
 	if (p_buf == NULL)
 		return E_PAR;
@@ -818,5 +791,5 @@
 #else	/* of #ifdef TCP_CFG_NON_BLOCKING */
 
-	/* p_buf ã NULL ããtmout ã TMO_NBLK ãªãã¨ã©ã¼ */
+	/* p_buf が NULL か、tmout が TMO_NBLK ならエラー */
 	if (p_buf == NULL || tmout == TMO_NBLK)
 		return E_PAR;
@@ -825,12 +798,11 @@
 
 	/*
-	 *  CEP ãã­ãã¯ããAPI æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  CEP をロックし、API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if ((error = tcp_lock_cep(cepid, &cep, TFN_TCP_RCV_BUF)) != E_OK)
 		return error;
 
-	/* åä¿¡ã§ããããéä¿¡ç«¯ç¹ã®ç¶æ
-ãè¦ãã*/
+	/* 受信できるか、通信端点の状態を見る。*/
 	if (tcp_can_recv_more(&error, cep, TFN_TCP_RCV_DAT, tmout) != E_OK)
 		goto err_ret;
@@ -838,14 +810,14 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã*/
-	if (tmout == TMO_NBLK) {		/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-		/* åä¿¡ã¦ã£ã³ããããã¡ã«ãã¼ã¿ãããã°ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+	/* タイムアウトをチェックする。*/
+	if (tmout == TMO_NBLK) {		/* ノンブロッキングコール */
+
+		/* 受信ウィンドバッファにデータがあればコールバック関数を呼び出す。*/
 		if (cep->rwbuf_count > 0) {
 
-		 	/* åä¿¡ã¦ã£ã³ããããã¡ã®ç©ºã¢ãã¬ã¹ãç²å¾ããã*/
+		 	/* 受信ウィンドバッファの空アドレスを獲得する。*/
 			error = TCP_GET_RWBUF_ADDR(cep, p_buf);
 
-			/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+			/* コールバック関数を呼び出す。*/
 #ifdef TCP_CFG_NON_BLOCKING_COMPAT14
 			(*cep->callback)(GET_TCP_CEPID(cep), TFN_TCP_RCV_BUF, (void*)error);
@@ -862,11 +834,9 @@
 			}
 		}
-	else {		/* éãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
-
-		/* åä¿¡ã¦ã£ã³ããããã¡ã«ãã¼ã¿ããªããã°ãå
-¥åãããã¾ã§å¾
-ã¤ã*/
+	else {		/* 非ノンブロッキングコール */
+
+#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
+
+		/* 受信ウィンドバッファにデータがなければ、入力があるまで待つ。*/
 		if ((error = tcp_wait_rwbuf(cep, tmout)) != E_OK) {
 			cep->rwbuf_count = 0;
@@ -874,5 +844,5 @@
 			}
 
-	 	/* åä¿¡ã¦ã£ã³ããããã¡ã®ã¢ãã¬ã¹ãç²å¾ããã*/
+	 	/* 受信ウィンドバッファのアドレスを獲得する。*/
 		error = TCP_GET_RWBUF_ADDR(cep, p_buf);
 
@@ -894,5 +864,5 @@
 
 /*
- *  tcp_rel_buf -- åä¿¡ç¨ãããã¡ã®è§£æ¾ãæ¨æºæ©è½ã
+ *  tcp_rel_buf -- 受信用バッファの解放【標準機能】
  */
 
@@ -903,16 +873,16 @@
 	ER		error;
 
-	/* è§£æ¾ããé·ã len ããã§ãã¯ããã*/
+	/* 解放する長さ len をチェックする。*/
 	if (len < 0)
 		return E_PAR;
 
 	/*
-	 *  CEP ãã­ãã¯ããAPI æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  CEP をロックし、API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if ((error = tcp_lock_cep(cepid, &cep, TFN_TCP_REL_BUF)) != E_OK)
 		return error;
 
-	/* è§£æ¾ããé·ã len ããã§ãã¯ããã*/
+	/* 解放する長さ len をチェックする。*/
 	if (len > cep->rcv_buf_len) {
 		error = E_OBJ;
@@ -920,17 +890,17 @@
 		}
 
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	/* 通信端点をロックする。*/
 	syscall(wai_sem(cep->semid_lock));
 
-	/* åä¿¡ã¦ã£ã³ããããã¡ããåä¿¡ãããªã¯ããããåé¤ããã*/
+	/* 受信ウィンドバッファから受信したオクテットを削除する。*/
 	TCP_DROP_RWBUF(cep, (uint_t)len);
 
-	/* tcp_rcv_buf ã®å²å½ã¦é·ããªã»ããããã*/
+	/* tcp_rcv_buf の割当て長をリセットする。*/
 	cep->rcv_buf_len = 0;
 
-	/* éä¿¡ç«¯ç¹ã®ã­ãã¯ãè§£é¤ããã*/
+	/* 通信端点のロックを解除する。*/
 	syscall(sig_sem(cep->semid_lock));
 
-	/* ç¸æã«ã¦ã£ã³ãã¦ãµã¤ãºãå¤ãã£ããã¨ãç¥ãããããåºåããã¹ãããã*/
+	/* 相手にウィンドウサイズが変わったことを知らせるため出力をポストする。*/
 	cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 	sig_sem(SEM_TCP_POST_OUTPUT);
@@ -947,5 +917,5 @@
 
 /*
- *  tcp_can_snd -- ãã³ãã£ã³ã°ãã¦ããéä¿¡ã®ã­ã£ã³ã»ã«
+ *  tcp_can_snd -- ペンディングしている送信のキャンセル
  */
 
@@ -955,34 +925,34 @@
 	ER	error = E_OK;
 
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	/* 通信端点をロックする。*/
 	syscall(wai_sem(cep->semid_lock));
 
 	/*
-	 *  snd_tskid ã TA_NULL ãªãã
-	 *  ãã³ãã£ã³ã°ãã¦ããªãã®ã§ã¨ã©ã¼
+	 *  snd_tskid が TA_NULL なら、
+	 *  ペンディングしていないのでエラー
 	 */
 	if (cep->snd_tskid == TA_NULL)
 		error = EV_NOPND;
 
-	/* ãã³ãã£ã³ã°ä¸­ã® API æ©è½ã³ã¼ãã¨ä¸è´ããªããã°ã¨ã©ã¼ */
+	/* ペンディング中の API 機能コードと一致しなければエラー */
 	else if (fncd != TFN_TCP_ALL && fncd != cep->snd_tfn)
 		error = E_OBJ;
 
-	/* å¦çãã­ã£ã³ã»ã«ããã*/
+	/* 処理をキャンセルする。*/
 	else {
 
-		/* åä¿¡åæ§æã­ã¥ã¼ã®ãããã¯ã¼ã¯ãããã¡ãè§£æ¾ããã*/
+		/* 受信再構成キューのネットワークバッファを解放する。*/
 		tcp_free_reassq(cep);
 
-		/* åä¿¡ã¦ã£ã³ããããã¡ã­ã¥ã¼ã®ãããã¯ã¼ã¯ãããã¡ãè§£æ¾ããã*/
+		/* 受信ウィンドバッファキューのネットワークバッファを解放する。*/
 		cep->rwbuf_count = 0;
 		TCP_FREE_RWBUFQ(cep);
 
-		/* éä¿¡ã¦ã£ã³ããããã¡ã­ã¥ã¼ã®ãããã¯ã¼ã¯ãããã¡ãè§£æ¾ããã*/
+		/* 送信ウィンドバッファキューのネットワークバッファを解放する。*/
 		TCP_FREE_SWBUFQ(cep);
 
 #ifdef TCP_CFG_NON_BLOCKING
 
-		if (cep->snd_nblk_tfn != TFN_TCP_UNDEF) {	/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
+		if (cep->snd_nblk_tfn != TFN_TCP_UNDEF) {	/* ノンブロッキングコール */
 
 			switch (cep->snd_nblk_tfn) {
@@ -990,6 +960,6 @@
 			case TFN_TCP_CON_CEP:
 				/*
-				 *  éä¿¡ç«¯ç¹ããåä»å£ãè§£æ¾ãã
-				 *  ã¤ãã³ããã©ã°ãã¯ã­ã¼ãºã«è¨­å®ããã
+				 *  通信端点から受付口を解放し、
+				 *  イベントフラグをクローズに設定する。
 				 */
 				cep->rep = NULL;
@@ -1038,5 +1008,5 @@
 		}
 
-	/* éä¿¡ç«¯ç¹ã®ã­ãã¯ãè§£é¤ããã*/
+	/* 通信端点のロックを解除する。*/
 	syscall(sig_sem(cep->semid_lock));
 
@@ -1045,5 +1015,5 @@
 
 /*
- *  tcp_can_rcv -- ãã³ãã£ã³ã°ãã¦ããåä¿¡ã®ã­ã£ã³ã»ã«
+ *  tcp_can_rcv -- ペンディングしている受信のキャンセル
  */
 
@@ -1053,34 +1023,34 @@
 	ER	error = E_OK;
 
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	/* 通信端点をロックする。*/
 	syscall(wai_sem(cep->semid_lock));
 
 	/*
-	 *  rcv_tskid ã TA_NULL ãªãã
-	 *  ãã³ãã£ã³ã°ãã¦ããªãã®ã§ã¨ã©ã¼
+	 *  rcv_tskid が TA_NULL なら、
+	 *  ペンディングしていないのでエラー
 	 */
 	if (cep->rcv_tskid == TA_NULL)
 		error = EV_NOPND;
 
-	/* ãã³ãã£ã³ã°ä¸­ã® API æ©è½ã³ã¼ãã¨ä¸è´ããªããã°ã¨ã©ã¼ */
+	/* ペンディング中の API 機能コードと一致しなければエラー */
 	else if (fncd != TFN_TCP_ALL && fncd != cep->rcv_tfn)
 		error = E_OBJ;
 
-	/* å¦çãã­ã£ã³ã»ã«ããã*/
+	/* 処理をキャンセルする。*/
 	else {
 
-		/* åä¿¡åæ§æã­ã¥ã¼ã®ãããã¯ã¼ã¯ãããã¡ãè§£æ¾ããã*/
+		/* 受信再構成キューのネットワークバッファを解放する。*/
 		tcp_free_reassq(cep);
 
-		/* åä¿¡ã¦ã£ã³ããããã¡ã­ã¥ã¼ã®ãããã¯ã¼ã¯ãããã¡ãè§£æ¾ããã*/
+		/* 受信ウィンドバッファキューのネットワークバッファを解放する。*/
 		cep->rwbuf_count = 0;
 		TCP_FREE_RWBUFQ(cep);
 
-		/* éä¿¡ã¦ã£ã³ããããã¡ã­ã¥ã¼ã®ãããã¯ã¼ã¯ãããã¡ãè§£æ¾ããã*/
+		/* 送信ウィンドバッファキューのネットワークバッファを解放する。*/
 		TCP_FREE_SWBUFQ(cep);
 
 #ifdef TCP_CFG_NON_BLOCKING
 
-		if (cep->rcv_nblk_tfn != TFN_TCP_UNDEF) {	/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
+		if (cep->rcv_nblk_tfn != TFN_TCP_UNDEF) {	/* ノンブロッキングコール */
 
 			switch (cep->rcv_nblk_tfn) {
@@ -1088,6 +1058,6 @@
 			case TFN_TCP_ACP_CEP:
 				/*
-				 *  éä¿¡ç«¯ç¹ããåä»å£ãè§£æ¾ãã
-				 *  ã¤ãã³ããã©ã°ãã¯ã­ã¼ãºã«è¨­å®ããã
+				 *  通信端点から受付口を解放し、
+				 *  イベントフラグをクローズに設定する。
 				 */
 				cep->rep = NULL;
@@ -1142,5 +1112,5 @@
 		}
 
-	/* éä¿¡ç«¯ç¹ã®ã­ãã¯ãè§£é¤ããã*/
+	/* 通信端点のロックを解除する。*/
 	syscall(sig_sem(cep->semid_lock));
 
@@ -1149,5 +1119,5 @@
 
 /*
- *  tcp_can_cep -- ãã³ãã£ã³ã°ãã¦ããå¦çã®ã­ã£ã³ã»ã«ãæ¨æºæ©è½ã
+ *  tcp_can_cep -- ペンディングしている処理のキャンセル【標準機能】
  */
 
@@ -1158,26 +1128,26 @@
 	ER		error = E_OK, snd_err, rcv_err;
 
-	/* API æ©è½ã³ã¼ãããã§ãã¯ããã*/
+	/* API 機能コードをチェックする。*/
 	if (!VALID_TFN_TCP_CAN(fncd))
 		return E_PAR;
 
-	/* TCP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* TCP 通信端点 ID をチェックする。*/
 	if (!VALID_TCP_CEPID(cepid))
 		return E_ID;
 
-	/* TCP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* TCP 通信端点を得る。*/
 	cep = GET_TCP_CEP(cepid);
 
-	/* TCP éä¿¡ç«¯ç¹ããã§ãã¯ããã*/
+	/* TCP 通信端点をチェックする。*/
 	if (!VALID_TCP_CEP(cep))
 		return E_NOEXS;
 
-	if (fncd == TFN_TCP_ALL) {		/* TFN_TCP_ALL ã®å¦ç */
+	if (fncd == TFN_TCP_ALL) {		/* TFN_TCP_ALL の処理 */
 		snd_err = tcp_can_snd(cep, fncd);
 		rcv_err = tcp_can_rcv(cep, fncd);
 
 		/*
-		 *  snd_err ã¨ rcv_err ã®ã©ã¡ãã EV_NOPND
-		 *  ãªãããã³ãã£ã³ã°ãã¦ããªãã®ã§ã¨ã©ã¼
+		 *  snd_err と rcv_err のどちらも EV_NOPND
+		 *  なら、ペンディングしていないのでエラー
 		 */
 		if (snd_err == EV_NOPND && rcv_err == EV_NOPND)
@@ -1196,10 +1166,10 @@
 		}
 
-	else if (IS_TFN_TCP_RCV(fncd)) {	/* åä¿¡å¦çã®ã­ã£ã³ã»ã« */
+	else if (IS_TFN_TCP_RCV(fncd)) {	/* 受信処理のキャンセル */
 		if ((error = tcp_can_rcv(cep, fncd)) == EV_NOPND)
 			error = E_OBJ;
 		}
 
-	else {					/* éä¿¡å¦çã®ã­ã£ã³ã»ã« */
+	else {					/* 送信処理のキャンセル */
 		if ((error = tcp_can_snd(cep, fncd)) == EV_NOPND)
 			error = E_OBJ;
@@ -1216,5 +1186,5 @@
 
 /*
- *  tcp_cre_cep -- TCP éä¿¡ç«¯ç¹ã®çæãæ¡å¼µæ©è½ã
+ *  tcp_cre_cep -- TCP 通信端点の生成【拡張機能】
  */
 
@@ -1225,24 +1195,24 @@
 	ER		error;
 
-	/* TCP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* TCP 通信端点 ID をチェックする。*/
 	if (!VALID_TCP_CEPID(cepid))
 		return E_ID;
 
-	/* pk_ccep ã NULL ãªãã¨ã©ã¼ */
+	/* pk_ccep が NULL ならエラー */
 	if (pk_ccep == NULL)
 		return E_PAR;
 
-	/* TCP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* TCP 通信端点を得る。*/
 	cep = GET_TCP_CEP(cepid);
 
-	/* TCP éä¿¡ç«¯ç¹ããåççæç¨ã§ãªããã°ã¨ã©ã¼ */
+	/* TCP 通信端点が、動的生成用でなければエラー */
 	if (!DYNAMIC_TCP_CEP(cep))
 		return E_ID;
 
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	/* 通信端点をロックする。*/
 	syscall(wai_sem(cep->semid_lock));
 
 	/*
-	 * TCP éä¿¡ç«¯ç¹ããã§ãã¯ãããçææ¸ã¿ã§ããã°ã¨ã©ã¼
+	 * TCP 通信端点をチェックする。生成済みであればエラー
 	 */
 	if (VALID_TCP_CEP(cep))
@@ -1250,19 +1220,18 @@
 	else {
 
-		/* TCP éä¿¡ç«¯ç¹çææ
-å ±ãã³ãã¼ããã*/
-		cep->cepatr   = pk_ccep->cepatr;		/* éä¿¡ç«¯ç¹å±æ§			*/
-		cep->sbuf     = pk_ccep->sbuf;			/* éä¿¡ç¨ã¦ã£ã³ããããã¡	*/
-		cep->sbufsz   = pk_ccep->sbufsz;		/* éä¿¡ç¨ã¦ã£ã³ããããã¡ãµã¤ãº	*/
-		cep->rbuf     = pk_ccep->rbuf;			/* åä¿¡ç¨ã¦ã£ã³ããããã¡	*/
-		cep->rbufsz   = pk_ccep->rbufsz;		/* åä¿¡ç¨ã¦ã£ã³ããããã¡ãµã¤ãº	*/
-		cep->callback = (void*)pk_ccep->callback;	/* ã³ã¼ã«ããã¯			*/
-
-		/* TCP éä¿¡ç«¯ç¹ãçææ¸ã¿ã«ããã*/
+		/* TCP 通信端点生成情報をコピーする。*/
+		cep->cepatr   = pk_ccep->cepatr;		/* 通信端点属性			*/
+		cep->sbuf     = pk_ccep->sbuf;			/* 送信用ウィンドバッファ	*/
+		cep->sbufsz   = pk_ccep->sbufsz;		/* 送信用ウィンドバッファサイズ	*/
+		cep->rbuf     = pk_ccep->rbuf;			/* 受信用ウィンドバッファ	*/
+		cep->rbufsz   = pk_ccep->rbufsz;		/* 受信用ウィンドバッファサイズ	*/
+		cep->callback = (void*)pk_ccep->callback;	/* コールバック			*/
+
+		/* TCP 通信端点を生成済みにする。*/
 		cep->flags |= TCP_CEP_FLG_VALID;
 		error = E_OK;
 		}
 
-	/* éä¿¡ç«¯ç¹ã®ã­ãã¯ãè§£é¤ããã*/
+	/* 通信端点のロックを解除する。*/
 	syscall(sig_sem(cep->semid_lock));
 
@@ -1273,5 +1242,5 @@
 
 /*
- *  tcp_del_cep -- TCP éä¿¡ç«¯ç¹ã®åé¤ãæ¡å¼µæ©è½ã
+ *  tcp_del_cep -- TCP 通信端点の削除【拡張機能】
  */
 
@@ -1284,22 +1253,22 @@
 	ER		error;
 
-	/* TCP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* TCP 通信端点 ID をチェックする。*/
 	if (!VALID_TCP_CEPID(cepid))
 		return E_ID;
 
-	/* TCP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* TCP 通信端点を得る。*/
 	cep = GET_TCP_CEP(cepid);
 
-	/* TCP éä¿¡ç«¯ç¹ããåççæç¨ã§ãªããã°ã¨ã©ã¼ */
+	/* TCP 通信端点が、動的生成用でなければエラー */
 	if (!DYNAMIC_TCP_CEP(cep))
 		return E_ID;
 
-	/* éä¿¡ç«¯ç¹ãã­ãã¯ããã*/
+	/* 通信端点をロックする。*/
 	syscall(wai_sem(cep->semid_lock));
 
 	/*
-	 * TCP éä¿¡ç«¯ç¹ããã§ãã¯ãããä»¥ä¸ã®å ´åã¯ã¨ã©ã¼
-	 * ã»æªçæã
-	 * ã»ä½¿ç¨ä¸­ã
+	 * TCP 通信端点をチェックする。以下の場合はエラー
+	 * ・未生成。
+	 * ・使用中。
 	 */
 	if (!VALID_TCP_CEP(cep))
@@ -1309,10 +1278,10 @@
 	else {
 
-		/* TCP éä¿¡ç«¯ç¹ãæªçæã«ããã*/
+		/* TCP 通信端点を未生成にする。*/
 		cep->flags &= ~TCP_CEP_FLG_VALID;
 		error = E_OK;
 		}
 
-	/* éä¿¡ç«¯ç¹ã®ã­ãã¯ãè§£é¤ããã*/
+	/* 通信端点のロックを解除する。*/
 	syscall(sig_sem(cep->semid_lock));
 
@@ -1325,5 +1294,5 @@
 
 /*
- *  tcp_snd_oob -- ç·æ¥ãã¼ã¿ã®éä¿¡ãæ¡å¼µæ©è½ã
+ *  tcp_snd_oob -- 緊急データの送信【拡張機能】
  */
 
@@ -1336,5 +1305,5 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* data ã NULL ããlen < 0 ãªãã¨ã©ã¼ */
+	/* data が NULL か、len < 0 ならエラー */
 	if (data == NULL || len < 0)
 		return E_PAR;
@@ -1342,5 +1311,5 @@
 #else	/* of #ifdef TCP_CFG_NON_BLOCKING */
 
-	/* data ã NULLãlen < 0 ããtmout ã TMO_NBLK ãªãã¨ã©ã¼ */
+	/* data が NULL、len < 0 か、tmout が TMO_NBLK ならエラー */
 	if (data == NULL || len < 0 || tmout == TMO_NBLK)
 		return E_PAR;
@@ -1349,12 +1318,11 @@
 
 	/*
-	 *  CEP ãã­ãã¯ããAPI æ©è½ã³ã¼ãã¨ã¿ã¹ã¯è­å¥å­ãè¨é²ããã
-	 *  ãã§ã«è¨é²ããã¦ããã°ããã³ãã£ã³ã°ä¸­ãªã®ã§ã¨ã©ã¼
+	 *  CEP をロックし、API 機能コードとタスク識別子を記録する。
+	 *  すでに記録されていれば、ペンディング中なのでエラー
 	 */
 	if ((error = tcp_lock_cep(cepid, &cep, TFN_TCP_SND_OOB)) != E_OK)
 		return error;
 
-	/* éä¿¡ã§ããããéä¿¡ç«¯ç¹ã®ç¶æ
-ãè¦ãã*/
+	/* 送信できるか、通信端点の状態を見る。*/
 	if ((error = tcp_can_send_more(cep, TFN_TCP_SND_OOB, tmout)) != E_OK)
 		goto err_ret;
@@ -1362,21 +1330,21 @@
 #ifdef TCP_CFG_NON_BLOCKING
 
-	/* ã¿ã¤ã ã¢ã¦ãããã§ãã¯ããã*/
-	if (tmout == TMO_NBLK) {		/* ãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-		/* éä¿¡ã¦ã£ã³ããããã¡ã«ç©ºããããã°ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+	/* タイムアウトをチェックする。*/
+	if (tmout == TMO_NBLK) {		/* ノンブロッキングコール */
+
+		/* 送信ウィンドバッファに空きがあればコールバック関数を呼び出す。*/
 		if (!TCP_IS_SWBUF_FULL(cep)) {
 
-		 	/* éä¿¡ã¦ã£ã³ããããã¡ã«ãã¼ã¿ãæ¸ãè¾¼ãã*/
+		 	/* 送信ウィンドバッファにデータを書き込む。*/
 			error = TCP_WRITE_SWBUF(cep, data, (uint_t)len);
 
-			/* éä¿¡ç·æ¥ãã¤ã³ã¿ãè¨­å®ããã*/
+			/* 送信緊急ポインタを設定する。*/
 			cep->snd_up = cep->snd_una + cep->swbuf_count;
 
-			/* åºåããã¹ãããã*/
+			/* 出力をポストする。*/
 			cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 			sig_sem(SEM_TCP_POST_OUTPUT);
 
-			/* ã³ã¼ã«ããã¯é¢æ°ãå¼ã³åºãã*/
+			/* コールバック関数を呼び出す。*/
 #ifdef TCP_CFG_NON_BLOCKING_COMPAT14
 			(*cep->callback)(GET_TCP_CEPID(cep), TFN_TCP_SND_OOB, (void*)error);
@@ -1396,24 +1364,23 @@
 			}
 		}
-	else {		/* éãã³ãã­ãã­ã³ã°ã³ã¼ã« */
-
-#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
-
-	 	/* éä¿¡ã¦ã£ã³ããããã¡ãç©ºãã®ãå¾
-ã¤ã*/
+	else {		/* 非ノンブロッキングコール */
+
+#endif	/* of #ifdef TCP_CFG_NON_BLOCKING */
+
+	 	/* 送信ウィンドバッファが空くのを待つ。*/
 		if ((error = TCP_WAIT_SWBUF(cep, tmout)) != E_OK)
 			goto err_ret;
 
-	 	/* éä¿¡ã¦ã£ã³ããããã¡ã«ãã¼ã¿ãæ¸ãè¾¼ãã*/
+	 	/* 送信ウィンドバッファにデータを書き込む。*/
 		if ((error = TCP_WRITE_SWBUF(cep, data, (uint_t)len)) > 0) {
 
-			/* éä¿¡ç·æ¥ãã¤ã³ã¿ãè¨­å®ããã*/
+			/* 送信緊急ポインタを設定する。*/
 			cep->snd_up = cep->snd_una + cep->swbuf_count;
 
-			/* ãã¼ã¿ãéä¿¡ãããéä¿¡ã¦ã£ã³ããããã¡ããã«ã®ã¨ãã¯å¼·å¶çã«éä¿¡ããã*/
+			/* データを送信する。送信ウィンドバッファがフルのときは強制的に送信する。*/
 			if (TCP_IS_SWBUF_FULL(cep))
 				cep->flags |= TCP_CEP_FLG_FORCE | TCP_CEP_FLG_FORCE_CLEAR;
 
-			/* åºåããã¹ãããã*/
+			/* 出力をポストする。*/
 			cep->flags |= TCP_CEP_FLG_POST_OUTPUT;
 			sig_sem(SEM_TCP_POST_OUTPUT);
@@ -1437,8 +1404,8 @@
 
 /*
- *  tcp_rcv_oob -- ç·æ¥ãã¼ã¿ã®åä¿¡ãæ¡å¼µæ©è½ã
+ *  tcp_rcv_oob -- 緊急データの受信【拡張機能】
  *
- *    æ³¨æ: éä¿¡å´ãè¤æ°ãªã¯ãããã®ãã¼ã¿ãéä¿¡ãã¦ãã
- *          ç·æ¥ãã¤ã³ã¿ãæã 1 ãªã¯ãããã®ãã¼ã¿ã®ã¿åä¿¡ããã
+ *    注意: 送信側が複数オクテットのデータを送信しても、
+ *          緊急ポインタが指す 1 オクテットのデータのみ受信する。
  */
 
@@ -1449,41 +1416,39 @@
 	uint8_t		*urg;
 
-	/* TCP éä¿¡ç«¯ç¹ ID ããã§ãã¯ããã*/
+	/* TCP 通信端点 ID をチェックする。*/
 	if (!VALID_TCP_CEPID(cepid))
 		return E_ID;
 
-	/* data ã NULL ããlen < 0 ãªãã¨ã©ã¼ */
+	/* data が NULL か、len < 0 ならエラー */
 	if (data == NULL || len < 0)
 		return E_PAR;
 
-	/* TCP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* TCP 通信端点を得る。*/
 	cep = GET_TCP_CEP(cepid);
 
-	/* åä¿¡ã§ããããéä¿¡ç«¯ç¹ã®ç¶æ
-ãè¦ãã*/
-	/* åä¿¡ã§ããããfsm_state ãè¦ãã*/
+	/* 受信できるか、通信端点の状態を見る。*/
+	/* 受信できるか、fsm_state を見る。*/
 	if (!TCP_FSM_CAN_RECV_MORE(cep->fsm_state))
 		return E_OBJ;
 
 	/*
-	 *  ç·æ¥ãã¼ã¿å
-¥ãã®ã»ã°ã¡ã³ãã® TCP ãããã
-	 *  è¨­å®ããã¦ããªããã°ãç·æ¥ãã¼ã¿ãåä¿¡ãã¦ããªãã
+	 *  緊急データ入りのセグメントの TCP ヘッダが
+	 *  設定されていなければ、緊急データを受信していない。
 	 */
 	if (cep->urg_tcph == NULL)
 		return E_OBJ;
 
-	/* len == 0 ãªããããã¡ãªã¼ãã¼ãã­ã¼ */
+	/* len == 0 ならバッファオーバーフロー */
 	if (len == 0)
 		return E_BOVR;
 
-	/* ç·æ¥ãã¤ã³ã¿ãæã 1 ãªã¯ãããã®ãã¼ã¿ãèª­ã¿åãã*/
+	/* 緊急ポインタが指す 1 オクテットのデータを読み取る。*/
 	urg = (uint8_t*)cep->urg_tcph + TCP_DATA_OFF(cep->urg_tcph->doff) + cep->urg_tcph->urp + TCP_CFG_URG_OFFSET;
 	*(uint8_t*)data = *urg;
 
-	/* èª­ã¿åã£ããã¼ã¿ããå¾ãã® SDU ãåã«è©°ããã*/
+	/* 読み取ったデータから後ろの SDU を前に詰める。*/
 	memcpy(urg, urg + 1, cep->urg_tcph->sum - (cep->urg_tcph->urp + TCP_CFG_URG_OFFSET) - 1);
 
-	/* tcp_rcv_oob() ãå¼åºããããã¨ç¥ãããããã«ãNULL ãè¨­å®ããã*/
+	/* tcp_rcv_oob() が呼出されたこと知らせるために、NULL を設定する。*/
 	cep->urg_tcph = NULL;
 
@@ -1500,5 +1465,5 @@
 
 /*
- *  tcp_del_rep -- TCP åä»å£ã®åé¤ãæ¡å¼µæ©è½ã
+ *  tcp_del_rep -- TCP 受付口の削除【拡張機能】
  */
 
